<?php
$mr = isset($_SESSION['pasien']['mr']) ? $_SESSION['pasien']['mr'] : "";
if($mr){
  $objPatient = HmisRefPatient::LoadByMr($mr);
}
?>
<div class="container">
  <div class="jumbotron" style="background-color:#fff">
    <h2>Jadwal Antrian</h2>
    <!-- <div class="table-responsive"> -->
      <table id="jadwal_antrian_record_list" class="table table-striped table-bordered table-responsive dataTable" style="width:100%;">
      </table>
    <!-- </div> -->
  </div>
</div>

<script>
  'use_strict';

  var tablePre = $('#jadwal_antrian_record_list').DataTable({
    'dom':'<"row"<"col-sm-6"ir><"col-sm-6">>tp'
    , 'language': {
        'processing': '<img src="<?= __USER_ASSETS__ ?>/images/spinner.gif">'
    }
    , 'processing': true
    , 'serverSide': true
    , 'ordering' : false
    , 'info': false
    , 'paging': true
    , 'pageLength': 25
    , 'lengthMenu': [25]
    , "ajax": {
        'url' :'<?= QApplication::UrlActionCreator('HalamanPasien/JadwalAntrian') ?>'
        , 'type' : 'POST'
        , 'data': function(d) {
            d.pageId = '';
            d.kategoriAntrian = 'TELEMEDICINE';
        }
    }
    , 'order': [[0,'desc']]
    , "columns": [
          {
            'title': 'Id'
            ,'data': 'Id'
            ,'width': '35px'
            ,'searchable': true
            ,'visible' : false
            // ,'sortable': true
          }
        , {
            'title': 'Tgl Booking'
            ,'data': 'BookingDate'
            // ,'width': '18%'
            ,'searchable': true
            // ,'sortable': true
        }
        , {
            'title': 'Poli Tujuan'
            ,'data': 'BookingDepartmentName'
            // ,'width': '22%'
            ,'searchable': true
            // ,'sortable': true
        }
        , {
            'title': 'Dokter'
            ,'data': 'BookingDoctorName'
            // ,'width': '22%'
            ,'searchable': true
            // ,'sortable': true
            ,'className' : 'hidden-xs'
        }, {
            'title': 'Kode Booking'
            ,'data': 'BookingCode'
            // ,'width': '22%'
            ,'searchable': true
            // ,'sortable': true
        }
        , {
            'title': '*'
            ,'data': 'Id'
            // ,'width': '22%'
            ,'searchable': false
            ,'sortable': false
            ,'render': function ( data, type, row, meta ) {
              if(row.State != 'A'){
                return 'Batal';
              }
              return '<button class="btn btn-sm btn-danger btnHapus"><i class="fa fa-trash"></i></button>';
            }
        }
    ], rowCallback: function(row,data){}
} );

$(document).off('click', '.btnHapus').on('click', '.btnHapus', function () {
    console.log('Hapus');
    var row = tablePre.row( $(this).parents('tr') ).data();
    
    // alert(['jFallr',message]);
    jQuery.fallr('show', {
        buttons : {
            button1 : {text: 'Ya, Hapus', onclick: function(){
              hapusAntrian(row.Id);
              jQuery.fallr('hide',function(){});
            }},
            button2 : {text: 'Batal', onclick: function(){
              jQuery.fallr('hide',function(){});
            }}
        } ,
        content : '<p>Hapus Data?</p>',
    });
})

var hapusAntrian = function(bookingId){
  $.ajax({
    data: {bookingId : bookingId},
    url: "<?= QApplication::UrlActionCreator('JadwalControl/HapusAntrian') ?>",
    type: "POST",
    timeout: 5* 60 * 1000,
    success: function(result){
      if(result.status == 'success'){
        toastr.success(result.message +' '+result.bookingCode, 'Sukses Hapus Data');
      }
      tablePre.ajax.reload();
    },
    error: function(xhr,status,error){},
    beforeSend: function(xhr){},
    complete: function(xhr,status){}
  })
}
</script>
