
<div class="login-box" style="margin-top:0">
  <div class="login-logo">
    <a href="#"><b>Pelayanan Penderita</b></a>
  </div>
  <!-- /.login-logo -->
  <div class="login-box-body">
    <p class="login-box-msg tampilan-login">Silahkan Login</p>
    <p class="login-box-msg tampilan-daftar">Silahkan Masuk No RM dan tanggal lahir</p>

    <form>
      <div class="form-group has-feedback">
        <input id="rm" type="text" class="form-control" placeholder="Nomor Rekam Medis / NIK" autocomplete="off" >
        <span class="glyphicon glyphicon-user form-control-feedback"></span>
      </div>
      <div class="form-group has-feedback tampilan-login">
        <input id="pass" type="password" class="form-control" placeholder="Password" autocomplete="off" >
        <span class="glyphicon glyphicon-lock form-control-feedback"></span>
      </div>
      <div class="form-group has-feedback tampilan-daftar">
        <input id="tgl-lahir" type="text" class="form-control input-date" placeholder="Tangal Lahir" autocomplete="off" >
        <span class="glyphicon glyphicon-calendar form-control-feedback"></span>
      </div>
      <div class="row">
        <div class="col-xs-8">
           <a class="tampilan-daftar" href="#" id="login-mode">Sudah punya akun</a>
        </div>
        <!-- /.col -->
        <div class="col-xs-4">
          <button type="button" class="btn btn-primary disabled tombol-loading" style="display:none"><i class="fa fa-spinner fa-spin"></i> Masuk</button>
          <button id="masuk" type="submit" class="btn btn-primary tombol-non-loading btn-block btn-flat">Masuk</button>
        </div>
        <!-- /.col -->
      </div>
      <a class="tampilan-login" href="#" id="daftar-mode">
         Penderita yang belum memiliki akun, 
         Silahkan klik disini , gunakan nomor rm dan
         isikan tanggal lahir , segera ganti password setelah berhasil login
      </a>
    </form>

    <br>

  </div>
  <!-- /.login-box-body -->
</div>
<!-- /.login-box -->

<script>
  'use strict';

  $('.input-date').datepicker({
      format: "dd-mm-yyyy",
      autoclose: true,
      endDate: null
  });

  $('.input-date').inputmask('99-99-9999');
  $('.input-date').blur(function(elm) {
      if ($(elm.target).val()) {
          var cekTanggal = $(elm.target).val();

          var aDate = moment(cekTanggal, 'DD-MM-YYYY', true);
          var isDateValid = aDate.isValid();
          if (!isDateValid) {
              toastr.warning('Format Tanggal Tidak Sesuai', 'Peringatan');
              $(elm.target).focus();
          }
      }
  });
  
  var strMode = "PASSWORD";

  var tampilanLogin = function(){
    strMode = "PASSWORD";
    $('.tampilan-daftar').hide();
    $('.tampilan-login').show();
  } 

  var tampilanDaftar = function(){
    strMode = "LAHIR";
    $('.tampilan-daftar').show();
    $('.tampilan-login').hide();
  } 

  $(document).ready(tampilanLogin);

  $('#daftar-mode').click(tampilanDaftar);
  $('#login-mode').click(tampilanLogin);

  var validasi = function(){
    if(! $('#rm').val()){
      toastr.warning('Silahkan mengisi No RM', 'Peringatan');
      setTimeout( function(){ $('#rm').focus(); } , 100);
      return false;
    }
    else if(strMode == "LAHIR" && ! $('#tgl-lahir').val()){
      toastr.warning('Silahkan mengisi Tanggal Lahir', 'Peringatan');
      setTimeout( function(){ $('#tgl-lahir').focus(); } , 100);
      return false;
    }
    else if(strMode == "PASSWORD" && ! $('#pass').val()){
      toastr.warning('Silahkan mengisi Password', 'Peringatan');
      setTimeout( function(){ $('#pass').focus(); } , 100);
      return false;
    }
    return true;
  }

  $('#masuk').click(function(e){
    e.preventDefault();
    if(! validasi()){
      return false;
    }
    $.ajax({
        type: "POST"
        , url: '<?= QApplication::UrlCreator('control/'.base64_encode('survey/main'))?>/LoginPasien/Login'
        , data: {
                rm : $('#rm').val()
                , pass : $('#pass').val()
                , lahir : $('#tgl-lahir').val()
                , mode : strMode
        }
        , success: function(data){
            console.log(data);
            if(data.status == 'success'){
                setHalaman('PASIEN');
                setContent( BASE_URL + "pasien-webservice/welcome-inside/", "content" );
                window.history.pushState({}, '' , '?to-page=' + "pasien-webservice/welcome-inside/");
                toastr.success(data.message, 'success', {timeOut: 4000});
            } else {
                // alert('Gagal');
                if(data.fokusMode === 'PASSWORD'){
                  tampilanLogin();
                }else if(data.fokusMode === 'LAHIR'){
                  tampilanDaftar();
                }
                toastr.error(data.message, 'error');
            }
        }
        , error: function(data){
            console.log(data);
            alert('Terjadi kesalahan');
        }
        , beforeSend: function(xhr){
            $('.tombol-non-loading').hide();
            $('.tombol-loading').show();
        }
        , complete: function(xhr,status){
            $('.tombol-non-loading').show();
            $('.tombol-loading').hide();
        }
    });

  })
</script>
