<style>
td.align-c{
  text-align: center;
}
.minh100{
  min-height: 100px;
}
</style>
<div class="container">
  <div class="jumbotron" style="background-color: #fff;">
    <h2>Panduan Perawatan</h2>
    <p>Panduan perawatan di rumah</p>
    <!-- <div class="table-responsive"> -->
      <table id="panduan_perawatan_record_list" class="table table-striped table-bordered table-responsive dataTable" style="width:100%;">
      </table>
    <!-- </div> -->
  </div>
</div>


<div id="myModal" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Catatan Dokter</h4>
      </div>
      <div class="modal-body">
        Saran Perawatan di Rumah:
        <pre id="saranPerawatanRumah" class="minh100"></pre>
        <div style="margin-bottom: 7px"></div>
        Saran Diet Makanan:
        <pre id="saranDietMakanan" class="minh100"></pre>
        <div style="margin-bottom: 7px"></div>
        Catatan Minum Obat:
        <pre id="catatanMinumObat" class="minh100"></pre>
        <div style="margin-bottom: 7px"></div>
        Tanggal Kontrol:
        <input readonly id="tanggalKontrol" class="form-control">
        <div style="margin-bottom: 7px"></div>
        Poli Tujuan Kontrol:
        <input readonly id="poliTujuanKontrol" class="form-control">
        <div style="margin-bottom: 7px"></div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Tutup</button>
      </div>
    </div>

  </div>
</div>

<script>
  'use_strict';

  var tablePre = $('#panduan_perawatan_record_list').DataTable({
    'dom':'<"row"<"col-sm-6"ir><"col-sm-6">>tp'
    , 'language': {
        'processing': '<img src="<?= __USER_ASSETS__ ?>/images/spinner.gif">'
    }
    , 'processing': true
    , 'serverSide': true
    , 'ordering' : false
    , 'info': false
    , 'paging': true
    , 'pageLength': 25
    , 'lengthMenu': [25]
    , "ajax": {
        'url' :'<?= QApplication::UrlActionCreator('HalamanPasien/PanduanPerawatan') ?>'
        , 'type' : 'POST'
        , 'data': function(d) {
            d.pageId = '';
        }
    }
    , 'order': [[0,'desc']]
    , "columns": [
          {
            'title': 'Id'
            ,'data': 'Id'
            ,'width': '35px'
            ,'searchable': true
            ,'visible' : false
            // ,'sortable': true
          }
        , {
            'title': 'Tgl Periksa'
            ,'data': 'NursingStartDate'
            // ,'width': '15%'
            ,'searchable': true
            // ,'sortable': true
        }
        , {
          'title': 'Dokter'
          ,'data': 'DoctorName'
          // ,'width': '22%'
          ,'searchable': true
          // ,'sortable': true
        }
        , {
            'title': 'Catatan Dokter'
            ,'data': 'Id'
            ,'width': '22%'
            ,'searchable': true
            // ,'sortable': true
            ,'className': 'align-c'
            ,'render': function ( data, type, row, meta ) {
              return '<button class="btn btn-sm btn-primary btnLihat">Lihat</button>';
            }
        }
    ], rowCallback: function(row,data){}
} );

$(document).off('click', '.btnLihat').on('click', '.btnLihat', function () {
    var row = tablePre.row( $(this).parents('tr') ).data();
    
    $('#saranPerawatanRumah').text(row.SaranPerawatanRumah);
    $('#saranDietMakanan').text(row.SaranDietMakanan);
    $('#catatanMinumObat').text(row.CatatanMinumObat);
    $('#tanggalKontrol').val(row.TanggalKontrol);
    $('#poliTujuanKontrol').val(row.PoliTujuanKontrol);
    $('#myModal').modal('show');
});
</script>