
<div class="login-box" style="margin-top:0">
  <div class="login-logo">
    <a href="#"><b>Reset Password</b></a>
  </div>
  <!-- /.login-logo -->
  <div class="login-box-body">
    <p class="login-box-msg tampilan-awal">Silahkan input No RM anda</p>
    <p class="login-box-msg tampilan-email">kode reset password bisa dibuka pada alamat email yang pernah anda daftartkan (<b id="emailmask"></b>)</p>
    <p class="login-box-msg tampilan-tanggal">Silahkan input tanggal lahir</p>

    <form>
      <div class="form-group has-feedback tampilan-awal">
        <input id="rm" type="text" class="form-control" placeholder="Nomor Rekam Medis" autocomplete="off" >
        <span class="glyphicon glyphicon-user form-control-feedback"></span>
      </div>
      <div class="form-group has-feedback tampilan-tanggal">
        <input id="tgl-lahir" type="text" class="form-control input-date" placeholder="Tangal Lahir" autocomplete="off" >
        <span class="glyphicon glyphicon-calendar form-control-feedback"></span>
      </div>
      <div class="form-group has-feedback tampilan-email">
        <input id="kode" type="text" class="form-control" placeholder="kode reset password" autocomplete="off" >
        <span class="glyphicon glyphicon-pencil form-control-feedback"></span>
      </div>
      <div class="row">
        <div class="col-xs-8">
        </div>
        <!-- /.col -->
        <div class="col-xs-4">
          <button type="button" class="btn btn-primary disabled tombol-loading" style="display:none"><i class="fa fa-spinner fa-spin"></i> Kirim</button>
          <button id="kirim" type="submit" class="btn btn-primary tombol-non-loading btn-block btn-flat">Kirim</button>
        </div>
        <!-- /.col -->
      </div>
    </form>

    <br>

  </div>
  <!-- /.login-box-body -->
</div>
<!-- /.login-box -->

<script>
  'use strict';

  $('.input-date').datepicker({
      format: "dd-mm-yyyy",
      autoclose: true,
      endDate: null
  });

  $('.input-date').inputmask('99-99-9999');
  $('.input-date').blur(function(elm) {
      if ($(elm.target).val()) {
          var cekTanggal = $(elm.target).val();

          var aDate = moment(cekTanggal, 'DD-MM-YYYY', true);
          var isDateValid = aDate.isValid();
          if (!isDateValid) {
              toastr.warning('Format Tanggal Tidak Sesuai', 'Peringatan');
              $(elm.target).focus();
          }
      }
  });
  
  var MODE_TAMPILAN;

  function aturTampilan(strMode){
    switch (strMode) {
        case 'email':
            $('.tampilan-awal').hide();
            $('.tampilan-email').show();
            $('.tampilan-tanggal').hide();
            MODE_TAMPILAN = 'email';
            break;
        case 'tanggal':
            $('.tampilan-awal').hide();
            $('.tampilan-email').hide();
            $('.tampilan-tanggal').show();
            MODE_TAMPILAN = 'tanggal';
            break;
        default:
            $('.tampilan-awal').show();
            $('.tampilan-email').hide();
            $('.tampilan-tanggal').hide();
            MODE_TAMPILAN = null;
            break;
    }
  }
aturTampilan();

$('#kirim').click(function(e){
    e.preventDefault();
    if(! validasi()){
        return false;
    }

    var url;
    if(MODE_TAMPILAN){
        url = '<?= QApplication::UrlCreator('control/'.base64_encode('survey/main'))?>/LoginPasien/ResetPassword';
    }else{
        url = '<?= QApplication::UrlCreator('control/'.base64_encode('survey/main'))?>/LoginPasien/ModeResetPassword';
    }

    $.ajax({
        type: "POST",
        url: url,
        data: {
                rm : $('#rm').val(),
                kode : $('#kode').val(),
                lahir : $('#tgl-lahir').val(),
            },
        success: function(data){
            console.log(data);
            if(data.status == 'success'){
                toastr.success(data.message, 'success', {timeOut: 30000});
                aturTampilan(data.mode);
                $('#emailmask').text(data.email);
            }else{
                toastr.error(data.message, 'error');
            }
        },
        error: function(data){
            console.log(data);
            alert('Terjadi kesalahan');
        },
        beforeSend: function(xhr){
            $('.tombol-non-loading').hide();
            $('.tombol-loading').show();
        },
        complete: function(xhr,status){
            $('.tombol-non-loading').show();
            $('.tombol-loading').hide();
        },
    });

})

var validasi = function(){
    if(MODE_TAMPILAN == 'tanggal' && ! $('#tgl-lahir').val() ){
        toastr.warning('tanggal lahir kosong', 'error');
        return false;
    }
    if(MODE_TAMPILAN == 'email' && ! $('#kode').val()){
        toastr.warning('email kosong', 'error');
        return false;
    }
    if(! MODE_TAMPILAN && ! $('#rm').val()){
        toastr.warning('No RM kosong', 'error');
        return false;
    }
    return true;
}

</script>
